# Uses of Interface
org.springframework.http.codec.CodecConfigurer.DefaultCodecs

Packages that use CodecConfigurer.DefaultCodecs
Package
Description
org.springframework.http.codec
Provides implementations of `Encoder` and `Decoder` for web use.

## Uses of CodecConfigurer.DefaultCodecs in org.springframework.http.codec

Subinterfaces of CodecConfigurer.DefaultCodecs in org.springframework.http.codec
Modifier and Type
Interface
Description
`static interface`
`ClientCodecConfigurer.ClientDefaultCodecs`
`CodecConfigurer.DefaultCodecs` extension with extra client-side options.
`static interface`
`ServerCodecConfigurer.ServerDefaultCodecs`
`CodecConfigurer.DefaultCodecs` extension with extra server-side options.
Methods in org.springframework.http.codec that return CodecConfigurer.DefaultCodecs
Modifier and Type
Method
Description
`CodecConfigurer.DefaultCodecs`
CodecConfigurer.`defaultCodecs()`
Provides a way to customize or replace HTTP message readers and writers registered by default.